:- module( bio_analytics, [
                exp_diffex/4,                   % +Exp, -DEs -NDEs, +Opts
                exp_gene_family_string_graph/4, % +Exp, +Fam, -Graph, +Opts
                gene_family/3,                  % +Alias, +Org, +Symbols
                go_org_symbol/3,                % +Org, +GoT, -Symbol
                go_org_symbols/3,               % +Org, +GoT, -Symbols
                go_string_graph/3,              % +GoT, -Graph, +Opts
                go_symbols_reach/3,             % +GoT, -Symbs, +Opts
                symbols_string_graph/3          % +Symbs, -Graph, +Opts
        ] ).

/** <module> Computational biology data analytics.

Collects a number of data analytics tasks on biological data sets.
This library provides analyses tools for the bio_db serverd data.

@author nicos angelopoulos
@version  0.1 2019/3/06
@tbd  add examples (1 ic(silac) = autophagy / human + 1 uci = 010 / mouse)

*/

:- ensure_loaded(library(lib)).

:- lib(bio_db).
:- lib(mtx).
:- lib(real).
:- lib(wgraph).
:- lib(options).

:- lib(source(bio_analytics), homonyms(true)).

:- lib(gene_family/3).
:- lib(go_org_symbol/3).
:- lib(go_org_symbols/3).
:- lib(go_symbols_reach/3).
:- lib(go_string_graph/3).
:- lib(symbols_string_graph/3).
:- lib(exp_diffex/4).
:- lib(exp_gene_family_string_graph/4).

:- lib(end(bio_db), homonyms(true)).
